> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Release History Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}/history
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}/history:
    get:
      tags:
        - Kubernetes API
      summary: Get Helm Release History Endpoint
      operationId: >-
        get_helm_release_history_endpoint_api_v1_clusters__cluster_id__kubernetes_helm_releases__namespace___name__history_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: namespace
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Namespace
            type: string
        - in: path
          name: name
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Name
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 25
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HelmReleaseHistory'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HelmReleaseHistory:
      properties:
        revisions:
          items:
            $ref: '#/components/schemas/HelmReleaseHistoryEntry'
          title: Revisions
          type: array
      required:
        - revisions
      title: HelmReleaseHistory
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HelmReleaseHistoryEntry:
      properties:
        app_version:
          anyOf:
            - type: string
            - type: 'null'
          title: App Version
        chart:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        revision:
          title: Revision
          type: integer
        status:
          title: Status
          type: string
        updated:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated
      required:
        - revision
        - status
      title: HelmReleaseHistoryEntry
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````